Skip to content
Menu

OpenSSL Exploit – Heart Bleed Bug Update

We have confirmed with our Data Center that our servers have been patched to address the current OpenSSL vulnerability, related to the “Heart bleed bug”.

We will continue to review our systems to ensure this and other security exploits are mitigated as they are identified.

We do recommend updating passwords associated with your website applications and email. It is recommended that you change your passwords on a regular basis.  Please also remember that you should not provide log-in credentials to any third party agencies or individuals.

To stay up-to-date, please check our Support Center for additional updates and announcements or follow us on our Support Center Twitter feed.